summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Barć <xgqt@gentoo.org>2023-11-04 21:54:59 +0100
committerMaciej Barć <xgqt@gentoo.org>2023-11-13 18:33:53 +0100
commit6f8948665ab00d073621c9d8091f33e7dc78f638 (patch)
treecad56fef298eae258cc67752e867b28f0d8b6285 /eclass/dotnet-pkg-base.eclass
parentwww-apps/icingadb-web: add 1.1.0 (diff)
downloadgentoo-6f8948665ab00d073621c9d8091f33e7dc78f638.tar.gz
gentoo-6f8948665ab00d073621c9d8091f33e7dc78f638.tar.bz2
gentoo-6f8948665ab00d073621c9d8091f33e7dc78f638.zip
eclass/dotnet-pkg-base.eclass: remove DOTNET_PKG_EXECUTABLE_PATH
Signed-off-by: Maciej Barć <xgqt@gentoo.org>
Diffstat (limited to 'eclass/dotnet-pkg-base.eclass')
-rw-r--r--eclass/dotnet-pkg-base.eclass10
1 files changed, 4 insertions, 6 deletions
diff --git a/eclass/dotnet-pkg-base.eclass b/eclass/dotnet-pkg-base.eclass
index 5b2d6e2dd2c1..35beacfebcb1 100644
--- a/eclass/dotnet-pkg-base.eclass
+++ b/eclass/dotnet-pkg-base.eclass
@@ -222,20 +222,18 @@ dotnet-pkg-base_setup() {
dotnet_compat_impl_path="$(type -P "${dotnet_compat_impl}")"
if [[ -n ${dotnet_compat_impl_path} ]] ; then
- DOTNET_PKG_EXECUTABLE=${dotnet_compat_impl}
- DOTNET_PKG_EXECUTABLE_PATH="${dotnet_compat_impl_path}"
-
+ DOTNET_PKG_EXECUTABLE="${dotnet_compat_impl}"
break
fi
done
# Link "DOTNET_PKG_EXECUTABLE" to "dotnet" only for the package build.
- local dotnet_spoof_path="${T}"/dotnet_spoof/${DOTNET_PKG_COMPAT}
+ local dotnet_spoof_path="${T}/dotnet_spoof/${DOTNET_PKG_COMPAT}"
mkdir -p "${dotnet_spoof_path}" || die
- ln -s "${DOTNET_PKG_EXECUTABLE_PATH}" "${dotnet_spoof_path}"/dotnet || die
+ ln -s "${dotnet_compat_impl_path}" "${dotnet_spoof_path}/dotnet" || die
export PATH="${dotnet_spoof_path}:${PATH}"
- einfo "Using dotnet SDK \"${DOTNET_PKG_EXECUTABLE}\" from \"${DOTNET_PKG_EXECUTABLE_PATH}\"."
+ einfo "Using dotnet SDK \"${DOTNET_PKG_EXECUTABLE}\" from \"${dotnet_compat_impl_path}\"."
# The picked "DOTNET_PKG_EXECUTABLE" should set "DOTNET_ROOT" internally
# and not rely upon this environment variable.